#pragma once
#include "global.h"
#include "MyStructDef.h"
class CEntityFlag : public CDialog
{
	DECLARE_DYNAMIC(CEntityFlag)
	DECLARE_MESSAGE_MAP()
public:
	CEntityFlag(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CEntityFlag();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CENTITYFLAG };
#endif
	EntityFlag outFlag;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnBnClickedOk();
private:
	CButton check_tCheck;
	CButton check_tTouch;
	CButton check_tDeath;
	CButton check_tCrush;
	CButton check_tHurt;
	CButton check_tDamage;
	CButton check_fShow;
	CButton check_fHide;
	CButton check_skShow;
	CButton check_skHide;
	CButton check_lr;
	CButton check_text;
	CButton check_save;
	CButton check_simpAni;
};

